Subject: [PATCH treewide 0/9] Remove obsolete IDE headers

From: Geert Uytterhoeven <[email-masked]>
Date: Thu, 17 Aug 2023 18:07:31 +0200

Hi all,

This patch series removes all unused <asm/ide.h> headers and
<asm-generic/ide_iops.h>.  <asm/ide.h> was still included by 3 PATA
drivers for m68k platforms, but without any real need.

The first 5 patches have no dependencies.
The last patch depends on the 3 pata patches.

Thanks for your comments!

Geert Uytterhoeven (9):
  ARM: Remove <asm/ide.h>
  parisc: Remove <asm/ide.h>
  powerpc: Remove <asm/ide.h>
  sparc: Remove <asm/ide.h>
  asm-generic: Remove ide_iops.h
  ata: pata_buddha: Remove #include <asm/ide.h>
  ata: pata_falcon: Remove #include <asm/ide.h>
  ata: pata_gayle: Remove #include <asm/ide.h>
  m68k: Remove <asm/ide.h>

 arch/arm/include/asm/ide.h     | 24 ---------
 arch/m68k/include/asm/ide.h    | 67 -----------------------
 arch/parisc/include/asm/ide.h  | 54 -------------------
 arch/powerpc/include/asm/ide.h | 18 -------
 arch/sparc/include/asm/ide.h   | 97 ----------------------------------
 drivers/ata/pata_buddha.c      |  1 -
 drivers/ata/pata_falcon.c      |  1 -
 drivers/ata/pata_gayle.c       |  1 -
 include/asm-generic/ide_iops.h | 39 --------------
 9 files changed, 302 deletions(-)
 delete mode 100644 arch/arm/include/asm/ide.h
 delete mode 100644 arch/m68k/include/asm/ide.h
 delete mode 100644 arch/parisc/include/asm/ide.h
 delete mode 100644 arch/powerpc/include/asm/ide.h
 delete mode 100644 arch/sparc/include/asm/ide.h
 delete mode 100644 include/asm-generic/ide_iops.h

-- 
2.34.1

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds